Debian Bug report logs - #672089
icewm: FTBFS: Xlib.h:1694:1: error: 'deprecated' was not declared in this scope

version graph

Package: src:icewm; Maintainer for src:icewm is Eduard Bloch <blade@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 8 May 2012 13:37:26 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version icewm/1.3.7-2

Fixed in version icewm/1.3.7-3

Done: Eduard Bloch <blade@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#672089; Package src:icewm. (Tue, 08 May 2012 13:37:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Eduard Bloch <blade@debian.org>. (Tue, 08 May 2012 13:37:36 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: icewm: FTBFS: Xlib.h:1694:1: error: 'deprecated' was not declared in this scope
Date: Tue, 8 May 2012 13:51:43 +0200
Source: icewm
Version: 1.3.7-2
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120508 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[3]: Entering directory `/«PKGBUILDDIR»/po'
> /usr/bin/msgfmt -o be.mo be.po
>   CXX      ydialog.o
> /usr/bin/msgfmt -o bg.mo bg.po
>   CXX      yurl.o
> /usr/bin/msgfmt -o ca.mo ca.po
> /usr/bin/msgfmt -o cs.mo cs.po
>   CXX      wmsession.o
>   CXX      wmwinlist.o
> /usr/bin/msgfmt -o da.mo da.po
> /usr/bin/msgfmt -o de.mo de.po
>   CXX      wmtaskbar.o
> /usr/bin/msgfmt -o el.mo el.po
>   CXX      wmwinmenu.o
> /usr/bin/msgfmt -o en.mo en.po
> /usr/bin/msgfmt -o es.mo es.po
> /usr/bin/msgfmt -o fi.mo fi.po
> /usr/bin/msgfmt -o fr.mo fr.po
>   CXX      wmdialog.o
> /usr/bin/msgfmt -o hr.mo hr.po
>   CXX      wmabout.o
> /usr/bin/msgfmt -o hu.mo hu.po
>   CXX      wmswitch.o
> /usr/bin/msgfmt -o id.mo id.po
> /usr/bin/msgfmt -o it.mo it.po
> /usr/bin/msgfmt -o ja.mo ja.po
>   CXX      wmstatus.o
> /usr/bin/msgfmt -o ko.mo ko.po
> /usr/bin/msgfmt -o lt.mo lt.po
> /usr/bin/msgfmt -o lv.mo lv.po
> /usr/bin/msgfmt -o mk.mo mk.po
> /usr/bin/msgfmt -o nb.mo nb.po
>   CXX      wmoption.o
> /usr/bin/msgfmt -o nl.mo nl.po
> In file included from ylib.h:9:0,
>                  from ykey.h:4,
>                  from yfull.h:4,
>                  from wmsession.cc:13:
> /usr/include/X11/Xlib.h:1694:1: error: 'deprecated' was not declared in this scope
> /usr/bin/msgfmt -o pl.mo pl.po
>   CXX      wmaction.o
> /usr/bin/msgfmt -o pt_BR.mo pt_BR.po
> In file included from ylib.h:9:0,
>                  from ykey.h:4,
>                  from wmwinlist.cc:9:
> /usr/include/X11/Xlib.h:1694:1: error: 'deprecated' was not declared in this scope
> /usr/bin/msgfmt -o ro.mo ro.po
> In file included from ylib.h:9:0,
>                  from wmwinmenu.cc:11:
> /usr/include/X11/Xlib.h:1694:1: error: 'deprecated' was not declared in this scope
> /usr/bin/msgfmt -o ru.mo ru.po
> /usr/bin/msgfmt -o sk.mo sk.po
> /usr/bin/msgfmt -o sl.mo sl.po
> /usr/bin/msgfmt -o sv.mo sv.po
> In file included from ylib.h:9:0,
>                  from ykey.h:4,
>                  from wmdialog.cc:10:
> /usr/include/X11/Xlib.h:1694:1: error: 'deprecated' was not declared in this scope
> In file included from ylib.h:9:0,
>                  from ypixmap.h:5,
>                  from ypaint.h:6,
>                  from yimage.h:5,
>                  from wmswitch.cc:10:
> /usr/include/X11/Xlib.h:1694:1: error: 'deprecated' was not declared in this scope
> /usr/bin/msgfmt -o tr.mo tr.po
> /usr/bin/msgfmt -o uk.mo uk.po
> /usr/bin/msgfmt -o vi.mo vi.po
> /usr/bin/msgfmt -o zh_CN.mo zh_CN.po
> /usr/bin/msgfmt -o zh_TW.mo zh_TW.po
> make[3]: Leaving directory `/«PKGBUILDDIR»/po'
>   CXX      wmcontainer.o
>   CXX      wmclient.o
>   CXX      wmmgr.o
> In file included from ylib.h:9:0,
>                  from ykey.h:4,
>                  from yfull.h:4,
>                  from wmoption.cc:9:
> /usr/include/X11/Xlib.h:1694:1: error: 'deprecated' was not declared in this scope
>   CXX      wmapp.o
> In file included from ywindow.h:6:0,
>                  from wmframe.h:4,
>                  from wmsession.cc:14:
> yarray.h: In instantiation of 'void YObjectArray<DataType>::remove(typename YArray<DataType*>::SizeType) [with DataType = SMWindowInfo; typename YArray<DataType*>::SizeType = int]':
> wmsession.cc:346:1:   required from here
> yarray.h:155:53: warning: 'getItem' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
> yarray.h:155:53: note: declarations in dependent base 'YArray<SMWindowInfo*>' are not found by unqualified lookup
> yarray.h:155:53: note: use 'this->getItem' instead
> make[3]: *** [wmsession.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/05/08/icewm_1.3.7-2_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#672089; Package src:icewm. (Tue, 08 May 2012 18:59:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. (Tue, 08 May 2012 18:59:31 GMT) Full text and rfc822 format available.

Message #10 received at 672089@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 672089@bugs.debian.org
Subject: icewm: ftbfs with GCC-4.7
Date: Tue, 08 May 2012 18:57:57 +0000
user debian-gcc@lists.debian.org
usertags 672089 + ftbfs-gcc-4.7
thanks

The build failure is exposed by building with gcc-4.7/g++-4.7,
which is now the default gcc/g++ on x86 architectures.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html




Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#672089; Package src:icewm. (Tue, 22 May 2012 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. (Tue, 22 May 2012 15:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 672089@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 672089@bugs.debian.org
Subject: icewm: diff for NMU version 1.3.7-2.1
Date: Tue, 22 May 2012 17:51:20 +0200
[Message part 1 (text/plain, inline)]
tags 672089 + patch
tags 672089 + pending
thanks

Dear maintainer,

I've prepared an NMU for icewm (versioned as 1.3.7-2.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Featuring The Dubliners, The Fureys And Davey Arthur Etc.: Molly Malone, The Band Of
[icewm-1.3.7-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Tue, 22 May 2012 15:54:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Tue, 22 May 2012 15:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#672089; Package src:icewm. (Tue, 22 May 2012 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. (Tue, 22 May 2012 23:03:03 GMT) Full text and rfc822 format available.

Message #24 received at 672089@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 672089@bugs.debian.org
Subject: not all issues caused by gcc-4.7
Date: Wed, 23 May 2012 07:00:57 +0800
[Message part 1 (text/plain, inline)]
user debian-gcc@lists.debian.org
usertags 672089 - ftbfs-gcc-4.7
thanks

there is an issue with GCC 4.7, patch attached, however the package fails to
build due to changed xlib headers.

and please patch the build so that it's a verbose build and doesn't hide the
compiler calls.


  CXX      wmsession.o
g++ -fpermissive -Wall -Wpointer-arith -Wwrite-strings -Woverloaded-virtual -W
-fno-exceptions -fno-rtti -g -O2  -DHAVE_CONFIG_H -DLIBDIR='"/usr/share/icewm"'
-DCFGDIR='"/etc/X11/icewm"' -DLOCDIR='"/usr/share/locale"' -DKDEDIR='""'
-DPACKAGE='"icewm"' -DVERSION='"1.3.7"' -DHOSTOS='"Linux 3.2.0-24-generic"'
-DHOSTCPU='"x86_64"' -DEXEEXT='""' -DICEWMEXE='"icewm"'
-DICEWMTRAYEXE='"icewmtray"' -DICEWMBGEXE='"icewmbg"'
-DICESMEXE='"icewm-session"' -DICEHELPEXE='"icehelp"'
-DICEHELPIDX='"/usr/share/doc/icewm-common/html/icewm.html"' `pkg-config
gdk-pixbuf-xlib-2.0 --cflags` -pthread -I/usr/include/gdk-pixbuf-2.0
-I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
-I/usr/include/libpng12      -c wmsession.cc
In file included from ylib.h:9:0,
                 from ykey.h:4,
                 from yfull.h:4,
                 from wmsession.cc:13:
/usr/include/X11/Xlib.h:1694:1: error: 'deprecated' was not declared in this scope
make: *** [wmsession.o] Error 1
(sid)doko@octogon:/home/packages/tmp/icewm-1.3.7/src$ g++-4.6 -fpermissive -Wall
-Wpointer-arith -Wwrite-strings -Woverloaded-virtual -W -fno-exceptions
-fno-rtti -g -O2  -DHAVE_CONFIG_H -DLIBDIR='"/usr/share/icewm"'
-DCFGDIR='"/etc/X11/icewm"' -DLOCDIR='"/usr/share/locale"' -DKDEDIR='""'
-DPACKAGE='"icewm"' -DVERSION='"1.3.7"' -DHOSTOS='"Linux 3.2.0-24-generic"'
-DHOSTCPU='"x86_64"' -DEXEEXT='""' -DICEWMEXE='"icewm"'
-DICEWMTRAYEXE='"icewmtray"' -DICEWMBGEXE='"icewmbg"'
-DICESMEXE='"icewm-session"' -DICEHELPEXE='"icehelp"'
-DICEHELPIDX='"/usr/share/doc/icewm-common/html/icewm.html"' `pkg-config
gdk-pixbuf-xlib-2.0 --cflags` -pthread -I/usr/include/gdk-pixbuf-2.0
-I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
-I/usr/include/libpng12      -c wmsession.cc
In file included from ylib.h:9:0,
                 from ykey.h:4,
                 from yfull.h:4,
                 from wmsession.cc:13:
/usr/include/X11/Xlib.h:1694:1: error: 'deprecated' was not declared in this scope
[icewm.debdiff (text/plain, attachment)]

Reply sent to Eduard Bloch <blade@debian.org>:
You have taken responsibility. (Tue, 22 May 2012 23:51:16 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 22 May 2012 23:51:16 GMT) Full text and rfc822 format available.

Message #29 received at 672089-close@bugs.debian.org (full text, mbox):

From: Eduard Bloch <blade@debian.org>
To: 672089-close@bugs.debian.org
Subject: Bug#672089: fixed in icewm 1.3.7-3
Date: Tue, 22 May 2012 23:48:38 +0000
Source: icewm
Source-Version: 1.3.7-3

We believe that the bug you reported is fixed in the latest version of
icewm, which is due to be installed in the Debian FTP archive:

icewm-common_1.3.7-3_amd64.deb
  to main/i/icewm/icewm-common_1.3.7-3_amd64.deb
icewm-experimental_1.3.7-3_amd64.deb
  to main/i/icewm/icewm-experimental_1.3.7-3_amd64.deb
icewm-gnome-support_1.3.7-3_amd64.deb
  to main/i/icewm/icewm-gnome-support_1.3.7-3_amd64.deb
icewm-lite_1.3.7-3_amd64.deb
  to main/i/icewm/icewm-lite_1.3.7-3_amd64.deb
icewm_1.3.7-3.debian.tar.gz
  to main/i/icewm/icewm_1.3.7-3.debian.tar.gz
icewm_1.3.7-3.dsc
  to main/i/icewm/icewm_1.3.7-3.dsc
icewm_1.3.7-3_amd64.deb
  to main/i/icewm/icewm_1.3.7-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672089@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eduard Bloch <blade@debian.org> (supplier of updated icewm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 23 May 2012 00:46:23 +0200
Source: icewm
Binary: icewm-common icewm icewm-gnome-support icewm-lite icewm-experimental
Architecture: source amd64
Version: 1.3.7-3
Distribution: unstable
Urgency: low
Maintainer: Eduard Bloch <blade@debian.org>
Changed-By: Eduard Bloch <blade@debian.org>
Description: 
 icewm      - wonderful Win95-OS/2-Motif-like window manager
 icewm-common - wonderful Win95-OS/2-Motif-like window manager
 icewm-experimental - wonderful Win95-OS/2-Motif-like window manager
 icewm-gnome-support - GNOME support files for IceWM
 icewm-lite - wonderful Win95-OS/2-Motif-like window manager
Closes: 661238 664696 672089
Changes: 
 icewm (1.3.7-3) unstable; urgency=low
 .
   [ Eduard Bloch ]
   * Declared 32x32 icon version in menu files (closes: #664696)
   * Cleanup in debian/patches/misc_fixes
   * Cleanup of debian/rules, now using dedicated build directories for each
     flavor, with major upstream source fixes in package_build_fixes patch
 .
   [ Andreas Moog ]
   * Don't define "deprecated", use "_ICEWM_deprecated" instead
     (closes: #661238, LP: #935179)
 .
   [ Matthias Klose ]
   * Fix build failure with GCC 4.7. Closes: #672089.
Checksums-Sha1: 
 d8fd03698864c811cfb6e37267c73a12bfe836bb 1682 icewm_1.3.7-3.dsc
 6b8ee3f2e1f7d598d760ef55b981163fac1bed1f 336662 icewm_1.3.7-3.debian.tar.gz
 2d2791564f380728b0af4a35764f36c73d7dc150 302240 icewm-common_1.3.7-3_amd64.deb
 7f19a9d046f8bdc02fc8166fffc28019b4e80208 365176 icewm_1.3.7-3_amd64.deb
 fc564ba8004d5b94d5d380bc26e9a7ea81503ebb 30266 icewm-gnome-support_1.3.7-3_amd64.deb
 70ec9f690ba2fd822b7c3feb98a6a0fb0d4fb50e 245752 icewm-lite_1.3.7-3_amd64.deb
 caa72a08a24fa3ec03234e234fc7f7035ed69e0e 2554 icewm-experimental_1.3.7-3_amd64.deb
Checksums-Sha256: 
 d2ecf2f7aabb82805f66ec681a904206977b8ee97741fc6c4f848ca915ae2420 1682 icewm_1.3.7-3.dsc
 40791311eebf7ec09af887ff6d1795972ce91a9d27386870653c5bb4e56c8184 336662 icewm_1.3.7-3.debian.tar.gz
 745a679c76ef5353fca8edf870156794bc7b3b31f3678df841fcdaa440a91a37 302240 icewm-common_1.3.7-3_amd64.deb
 770c044e852d8cfc9de467ffa2fa0ce6d4b8cfcc2fbfc3fe25a4fae400930b9a 365176 icewm_1.3.7-3_amd64.deb
 fedeb43dfeacb7106e499790736c3f106049bc0470be86320670492c4145b257 30266 icewm-gnome-support_1.3.7-3_amd64.deb
 9b2bf877fdc4f4fbbc9ce297ffc02e0976821b65b2957afc6390ed57b3469b59 245752 icewm-lite_1.3.7-3_amd64.deb
 46d6c6d7615ad24d1076c68c1de8589de310aa5162670c326f276a622073dd61 2554 icewm-experimental_1.3.7-3_amd64.deb
Files: 
 bfeed717d0c4f70c6605f805875fd56d 1682 x11 optional icewm_1.3.7-3.dsc
 cbfd751e9cd47205019c5e80b8811ef4 336662 x11 optional icewm_1.3.7-3.debian.tar.gz
 8c8233ae36418513db38fb5597d098c8 302240 x11 optional icewm-common_1.3.7-3_amd64.deb
 82d1d8f4de12d66d010d53898180e044 365176 x11 optional icewm_1.3.7-3_amd64.deb
 9aaf369b72db4aaa25782df7328219c8 30266 gnome optional icewm-gnome-support_1.3.7-3_amd64.deb
 e435d1daf124b208923c25fb2d4df2ba 245752 x11 optional icewm-lite_1.3.7-3_amd64.deb
 36937f1b1ae7ad196fb34e844a580ad8 2554 x11 optional icewm-experimental_1.3.7-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPvCOn4QZIHu3wCMURAshxAJ0YAEXYUzcavNh/ir6IJGkuBLpp1gCfRpGc
oAslnQtgSIE/+Kfhimc0Syw=
=b+xe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Jul 2012 07:51:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:15:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.